package org.silverpeas.mobile.client.components.userselection.resources;

public class UserSelectionMessages_en implements org.silverpeas.mobile.client.components.userselection.resources.UserSelectionMessages {
  
  public com.google.gwt.safehtml.shared.SafeHtml continu() {
    return new com.google.gwt.safehtml.shared.SafeHtmlBuilder().appendHtmlConstant("Continu").toSafeHtml();
  }
  
  public java.lang.String title(int arg0) {
    java.lang.String returnVal = null;
    int arg0_form = new com.google.gwt.i18n.client.impl.plurals.DefaultRule_en().select(arg0);
    switch (arg0) {
      case 0:  // =0
        returnVal = "no person selected";
        break;
      case 1:  // =1
        returnVal = "one person selected";
        break;
      default: // non-exact matches
        switch (arg0_form) {
          case 1:  // one
            returnVal = "one person selected";
            break;
        }
        break;
    }
    if (returnVal != null) {
      return returnVal;
    }
    return "" + arg0 + " persons selected";
  }
  
  public java.lang.String filter() {
    return "Filter";
  }
}
